AM261x MCU+ SDK: SDL_TOG_errInfo Struct Reference

| AM261x MCU+ SDK 26.00.00 |

Data Fields
SDL_TOG_errInfo Struct Reference
APIs for SDL Module » APIs for Slave Timeout Gasket(STOG). » Slave Timeout Gasket(STOG)

## Detailed Description

This structure contains timeout error information.

## Data Fields
uint32_t | routeId
uint32_t | orderId
uint32_t | dir
uint32_t | type
uint32_t | tag
uint32_t | commandId
uint32_t | orgByteCnt
uint32_t | currByteCnt
uint64_t | address

## Field Documentation

## ◆ routeId

uint32_t SDL_TOG_errInfo::routeId

Route ID - This indicates the Route ID of the captured transaction

## ◆ orderId

uint32_t SDL_TOG_errInfo::orderId

Order ID - This indicates the Order ID of the captured transaction

## ◆ dir

uint32_t SDL_TOG_errInfo::dir

Direction - This indicates whether the captured transaction was a read (1) or a write (0)

## ◆ type

uint32_t SDL_TOG_errInfo::type

Type - This indicates the error type: 0=Transaction Timeout, 1=Unexpected Response

## ◆ tag

uint32_t SDL_TOG_errInfo::tag

Tag - This indicates the CID/RID/SID of the transaction

## ◆ commandId

uint32_t SDL_TOG_errInfo::commandId

Command ID - This indicates the original Command ID (SID/RID) of the command. This field is only valid on a Timeout Error, not on an Unexpected Transaction Error

## ◆ orgByteCnt

uint32_t SDL_TOG_errInfo::orgByteCnt

Original Byte Count - If this is a timed out transaction, then this field represents the CBYTECNT value of the original command. If this is an unexpected response transaction, then this field contains the value of the bytecnt of the unexpected transaction (sbytecnt or rbytecnt).

## ◆ currByteCnt

uint32_t SDL_TOG_errInfo::currByteCnt

Current Byte Count - If this is a timed out transaction, this is the number of bytes that were not returned as of the time the transaction timed out. If this is an unexpected response transaction, then this field is not applicable.

## ◆ address

uint64_t SDL_TOG_errInfo::address

Address - If the captured transaction was a Timeout Error, this field represents the address of the original transaction. If the error was an Unexpected Response error, then this field is not applicable.